link: release/28826
meta:
  added_date: 2024-12-03T08:53
  edited_date: 2024-12-03T08:53
  fetched_date: 2026-05-22T04:56
  ttl: 86400
  visitors: 93
name: Curse of Enchantia
picture_full: https://media.vgm.io/releases/62/28826/28826-1733244842.jpg
picture_small: https://thumb-media.vgm.io/releases/62/28826/28826-1733244842.jpg
product_albums: []
release_albums: []
type: Game Release
vgmdb_link: https://vgmdb.net/db/release.php?id=28826
